httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stas Bekman <s...@stason.org>
Subject Re: apr-related ABI issues for apreq2 packagers
Date Sat, 22 Jan 2005 18:03:51 GMT
Joe Schaefer wrote:
> Stas Bekman <stas@stason.org> writes:
> 
> 
> [...]
> 
> 
>>in which case the versioning you have suggested:
>>
>> >>>    libapreq2.so.0.0.24 (ABI-compat with apr-0)
>> >>>    libapreq2.so.1.0.24 (ABI-compat with apr-1)
>>
>>contradicts with your own words above. if both libs above are the
>>same, why would you introduce a different version number?
> 
>                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> 
> *We* won't do that.  Somebody else (debian, mandrake, redhat, etc.)
> might want to do that themselves.  What I'm suggesting is that,
> we tell those guys "if you're having trouble dealing with the 
> multiple ABIs of apr, feel free to tweak our major version number
> if you want to (in the compiled so, not in our apreq_version.h header)".
> We could add a FAQ to explain the issue and whatever solution we
> recommend.  And if Bojan decides to flesh this all out in detail with 
> an rpm spec, I think we should include that spec file in our distro
> as an example for others to follow.

But they can anyway mangle the lib filename in anyway they want. So why 
even bother. I can't see how your proposals helps them in any way.

-- 
__________________________________________________________________
Stas Bekman            JAm_pH ------> Just Another mod_perl Hacker
http://stason.org/     mod_perl Guide ---> http://perl.apache.org
mailto:stas@stason.org http://use.perl.org http://apacheweek.com
http://modperlbook.org http://apache.org   http://ticketmaster.com

Mime
View raw message